Panda3D

Public Member Functions | List of all members
EggCharacterFilter Class Reference

This is the base class for a family of programs that operate on a number of character models and their associated animation files together. More...

`#include "eggCharacterFilter.h"`

Inheritance diagram for EggCharacterFilter:

## Public Member Functions
void | add_fixrest_option ()
Public Member Functions inherited from EggMultiFilter
| EggMultiFilter (bool allow_empty=false)
Public Member Functions inherited from EggMultiBase
void | post_process_egg_files ()
| Performs any processing of the egg file(s) that is appropriate before writing them out. More...
Public Member Functions inherited from EggBase
void | add_normals_options ()
| Adds -no, -np, etc. More...
void | add_points_options ()
| Adds -points as a valid option for this program. More...
void | add_transform_options ()
| Adds -TS, -TT, etc. More...
Public Member Functions inherited from ProgramBase
| ProgramBase (const std::string &name=std::string())
std::string | get_exec_command () const
| Returns the command that invoked this program, as a shell-friendly string, suitable for pasting into the comments of output files. More...
virtual void | parse_command_line (int argc, char **argv)
| Dispatches on each of the options on the command line, and passes the remaining parameters to handle_args(). More...
void | show_description ()
| Writes the program description to stderr. More...
void | show_options ()
| Describes each of the available options to stderr. More...
void | show_text (const std::string &prefix, int indent_width, std::string text)
| Formats the indicated text and its prefix for output to stderr with the known _terminal_width. More...
void | show_text (const std::string &text)
| Formats the indicated text to stderr with the known _terminal_width. More...
void | show_usage ()
| Writes the usage line(s) to stderr. More...
void | write_man_page (std::ostream &out)
| Generates a man page in nroff syntax based on the description and options. More...

## Additional Inherited Members
Public Types inherited from ProgramBase
typedef pdeque< std::string > | Args
Static Public Member Functions inherited from EggBase
static void | convert_paths (EggNode *node, PathReplace *path_replace, const DSearchPath &additional_path)
| Recursively walks the egg hierarchy. More...
Public Attributes inherited from ProgramBase
Args | _program_args
Filename | _program_name

## Detailed Description

This is the base class for a family of programs that operate on a number of character models and their associated animation files together.

It reads in a number of egg files, any combination of model files or character files which must all represent the same character skeleton, and maintains a single hierarchy of joints and sliders that may be operated on before writing the files back out.

Definition at line 32 of file eggCharacterFilter.h.

The documentation for this class was generated from the following files:

- pandatool/src/eggcharbase/eggCharacterFilter.h
- pandatool/src/eggcharbase/eggCharacterFilter.cxx